---
apiVersion: v1
kind: ConfigMap
metadata:
  name: tangogql-config-{{ template "taranta.name" . }}-{{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
data:
  logging.yaml: |
    ---
      version: 1
      disable_existing_loggers: False
      formatters:
        simple:
          format: "1|%(asctime)s.%(msecs)03dZ|%(levelname)s|%(threadName)s|%(funcName)s|%(filename)s#%(lineno)d|%(message)s"
      
      handlers:
        console:
          class: logging.StreamHandler
          level: {{ .Values.logging.level }}
          formatter: simple
          stream: ext://sys.stdout
      
        info_file_handler:
          class: logging.handlers.RotatingFileHandler
          level: INFO
          formatter: simple
          filename: info.log
          maxBytes: 10485760 # 10MB
          backupCount: 20
          encoding: utf8
      
        error_file_handler:
          class: logging.handlers.RotatingFileHandler
          level: ERROR
          formatter: simple
          filename: errors.log
          maxBytes: 10485760 # 10MB
          backupCount: 20
          encoding: utf8
      ## example how to configure a specific logger
      #loggers:
      #  my_module:
      #    level: ERROR
      #    handlers: [console]
      #    propagate: no
      ##
      root:
        level: DEBUG
        handlers: [console, info_file_handler, error_file_handler]